#!/bin/bash

unique_hosts=`echo $SOLR_NODES | tr ' ' '\n' | sed 's/:.*$//' | sort | uniq`


for solr_host in $unique_hosts ; do
  remote_dir="$solr_host:/tmp/solr-ef"

  echo "Running rsync from networked SOLR_HOME to $remote_dir"
  rsync -pav "$SOLR_HOME" "$remote_dir"
done
